<?php 

// +------------------------------------------------------------------+
// | Package Information                                              |
// +------------------------------------------------------------------+

/**
 * @package     ClickCartProWidgetPages
 * @copyright   Copyright 1999-Present Kryptronic, Inc.  All rights reserved.
 * @link        http://www.kryptronic.com
 * @license     GNU/GPL
*/

// +------------------------------------------------------------------+
// | Package                                                          |
// +------------------------------------------------------------------+

// +--
// | No direct access.
// +--

defined('_JEXEC') or die('Restricted access');

// +------------------------------------------------------------------+
// | Class Definition                                                 |
// +------------------------------------------------------------------+

class modCLickCartProWidgetPagesHelper {

// +--
// | ClickCartProCommon class variable.
// +--

var $ClickCartProCommon;

var $ClickCartProSkinWidget;

// +------------------------------------------------------------------+
// | Function: exec                                                   |
// +------------------------------------------------------------------+

function exec () {

// +--
// | This function handles an import of the necessary XHTML and parses
// | it for Joomla!.
// +--

$this->ClickCartProSkinWidget = 'cms.skinwidget_pages';

// +--
// | Load the ClickCartProCommon class from the ClickCartPro_ObjectCache
// | so we can access common libraries.
// +--

global $ClickCartPro_ObjectCache;

$this->ClickCartProCommon =& $ClickCartPro_ObjectCache['ClickCartProCommon'];

if (empty($this->ClickCartProCommon)) {return '';}

// +--
// | Get the output from the ClickCartPro connector.
// +--

$result = $this->ClickCartProCommon->getSkinWidgets();

// +--
// | Return the output.
// +--

if ($result['status'] == 'ERROR') {

    return '';

} else {

     $skinwidgetid = $this->ClickCartProSkinWidget;

     if (empty($result['response'][$skinwidgetid])) {

          return '';

     } else {

          $response = $result['response'][$skinwidgetid];
          $response = $this->ClickCartProCommon->decrypt($response,$this->ClickCartProCommon->ClickCartProPWD);

          $response = preg_replace('/^.*?' . preg_quote('<ul>','/') . '(.*?)' . preg_quote('</ul>','/') . '.*?$/si','<ul class="menu">\\1</ul>',$response);
          $response = preg_replace('/' . preg_quote('<li><a href="','/') . '(.*?)' . preg_quote('">','/') . '(.*?)' . preg_quote('</a></li>','/') . '/si','<li><a href="\\1"><span>\\2</span></a></li>',$response);

          return $response;

     } // End of if statement.

} // End of if statement.

} // End of function.

// +------------------------------------------------------------------+
// | End of Class                                                     |
// +------------------------------------------------------------------+

} // End of class.

// +------------------------------------------------------------------+
// | End Of File                                                      |
// +------------------------------------------------------------------+

?>